Bug 500746 - (389-admin) Review Request: 389-admin - renamed from fedora-ds-admin
Review Request: 389-admin - renamed from fedora-ds-admin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On: 389-adminutil
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 17:39 EDT by Rich Megginson
Modified: 2014-11-10 15:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 10:11:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2009-05-13 17:39:09 EDT
Spec URL: http://rmeggins.fedorapeople.org/389-admin.spec
SRPM URL: http://rmeggins.fedorapeople.org/389-admin-1.1.7-5.src.rpm
Description: 389 Administration Server is an HTTP agent that provides management features for 389 Directory Server

This is just a package rename - from fedora-ds-admin to 389-admin - I have added the appropriate provides and obsoletes:
Provides:         fedora-ds-admin = %{version}-%{release}
Obsoletes:        fedora-ds-admin < 1.1.7-5
Comment 1 Rich Megginson 2009-05-13 17:40:36 EDT
Builds cleanly in mock
Comment 2 Rich Megginson 2009-05-13 17:41:40 EDT
See also https://fedorahosted.org/fedora-infrastructure/ticket/1380
Comment 3 Felix Kaechele 2009-05-14 01:34:46 EDT
Sorry to bug you again but rpmlint also doesn't like this:

[felix@polaris result]$ rpmlint *.rpm 389-admin
389-admin.src: W: strange-permission 389-admin-git.sh 0775
389-admin.x86_64: W: dangerous-command-in-%post chmod
389-admin.x86_64: W: incoherent-init-script-name dirsrv-admin
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 __gxx_personality_v0
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 deleteValue
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_ReadDir
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_GetHostByName
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_SetError
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 psetGetObjectClass
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_Sleep
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_InitializeNetAddr
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_Open
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_GetFileInfo
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_Seek
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_Delete
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_FileDesc2NativeHandle
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_CloseDir
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_snprintf
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_Connect
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_GetOSError
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_LockFile
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_smprintf
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_Write
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PL_strcasecmp
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PL_strncpyz
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_smprintf_free
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_OpenDir
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 SSLSocket_init
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_SecondsToInterval
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_UnlockFile
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_Read
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_NewTCPSocket
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PL_strdup
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_TLockFile
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_Close
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PL_strfree
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_GetError
389-admin.x86_64: W: undefined-non-weak-symbol /usr/lib64/libds-admin-serv.so.0.0.0 PR_vsnprintf
389-admin.x86_64: W: dangerous-command-in-%post chmod
389-admin.x86_64: W: incoherent-init-script-name dirsrv-admin
4 packages and 0 specfiles checked; 0 errors, 40 warnings.
Comment 4 Rich Megginson 2009-05-18 16:19:24 EDT
Updated

Source URL: http://port389.org/sources/389-admin-1.1.7.tar.bz2
md5sum 389-admin-1.1.7.tar.bz2
81c41383af361e5591650edb38c3f3d8  389-admin-1.1.7.tar.bz2
sha1sum 389-admin-1.1.7.tar.bz2 
f1ac01ab09afb65d929f4552951240a1c246971d  389-admin-1.1.7.tar.bz2

SRPM URL: http://rmeggins.fedorapeople.org/pkgreview/389-admin-1.1.7-5.src.rpm

Other files mentioned in Source in the spec file are in http://rmeggins.fedorapeople.org/pkgreview

389-admin.src: W: strange-permission 389-admin-git.sh 0775
- Fixed - see new SRPM above

389-admin.x86_64: W: dangerous-command-in-%post chmod
- this is to work around a bug in rpm - if you mark a file/directory as config(noreplace) rpm will preserve the file contents, but not the ownership/permissions.

389-admin.x86_64: W: incoherent-init-script-name dirsrv-admin
- this is intentional - we did not want the service name to be the same as the package name because we knew we were going to change the package name

389-admin.x86_64: W: undefined-non-weak-symbol
/usr/lib64/libds-admin-serv.so.0.0.0 PR_vsnprintf
- How can I fix these?  Do they need to be fixed?  AFAICT fedora-ds-admin has been running with this "problem" for years with no ill effects.
Comment 5 Rich Megginson 2009-05-21 19:34:57 EDT
new SRPM: http://rmeggins.fedorapeople.org/pkgreview/389-admin-1.1.7-5.src.rpm
new Source URL: http://port389.org/sources/389-admin-1.1.7.tar.bz2

md5sum 389-admin-1.1.7.tar.bz2
cd3fd64fabc0265e2765101d032d7150  389-admin-1.1.7.tar.bz2
sha1sum 389-admin-1.1.7.tar.bz2
a594b0f3b8b5614a5f9a8a417ff5c394ecd7a21d  389-admin-1.1.7.tar.bz2

This fixes the undefined-non-weak-symbol warnings
Comment 6 Rich Megginson 2009-06-04 10:24:30 EDT
Any takers?  What can I do to help this along?
Comment 7 Jochen Schmitt 2009-06-04 13:57:36 EDT
We are waiting for https://fedorahosted.org/fedora-infrastructure/ticket/1425
Comment 8 Rich Megginson 2009-06-04 14:52:02 EDT
But is the package approved?  If so, I can go ahead and do the CVS request, then cvs-import, while the tagging issue is being resolved.
Comment 9 Rich Megginson 2009-06-17 12:20:05 EDT
The tagging issue has been resolved.  This this package request approved?
Comment 10 Jochen Schmitt 2009-06-17 13:14:16 EDT
Good:
+ Name of the SPEC file matches with package name.
+ Pakcage name fullfill naming guidelines
+ URL tag show on proper project homepage
+ Package contains valid license tag
+ License tag state GPLv2 as a valid OSS license
+ Package contains no subpackages
+ Provides/Obsoletes statement for renaming process are ok.
+ BuildRoot will be cleaned at the beginnung of %clean and %install
+ Could download upstream tar ball via spectool -g
+ Package source matches with upstream
(md5sum: cd3fd64fabc0265e2765101d032d7150)
+ Package contains proper BuildRoot definition
+ Package honour $RPM_OPT_FLAGS
+ Package support SMP-enabled build
+ Local build works fine
+ Rpmlint is silent on debuginfo rpm
+ Local install/uninstall works fine
+ Scratch build works fine
+ Files has proper files permission
+ %files stanza contains no duplicated entries
+ All package files are owned by this package
+ No package files are belong to a other package
+ %doc stanza is mall, no extra sub package is required
+ Package contains proper changelog

Bad:
- I have found source files which state GPLv2+ or AL 2.0 as
  license. Please clarify the stated license on the license tag
- Package only contains the LICENSE file, but the COPYING file,
  which contains the verbatin text of the GPLv2 is not included
- Usage of the %{_initrddir} macro is obsoleted
- Why do you set the owner/permission of some files explicitly in the
  %post scriptlet?
- warning from rpmlint about source rpm.
   rpmlint 389-admin-1.1.7-5.fc11.src.rpm
   389-admin.src: W: strange-permission 389-admin-git.sh 0775
- Warnings from rpmlint about the binary rpm
   $ rpmlint 389-admin-1.1.7-5.fc11.x86_64.rpm
   389-admin.x86_64: W: dangerous-command-in-%post chmod
   389-admin.x86_64: W: incoherent-init-script-name dirsrv-admin
Comment 11 Rich Megginson 2009-06-17 16:52:14 EDT
(In reply to comment #10)
> Bad:
> - I have found source files which state GPLv2+ or AL 2.0 as
>   license. Please clarify the stated license on the license tag
> - Package only contains the LICENSE file, but the COPYING file,
>   which contains the verbatin text of the GPLv2 is not included
> - Usage of the %{_initrddir} macro is obsoleted

- all of the files in the adminserver (except the Apache modules) should have been gplv2 - this has been fixed, including the LICENSE file
- there are two Apache modules included with the admin server that are licensed under the apl 2.0 - mod_admserv and mod_restartd - these must use the apl because they use apl code - how should I denote this?
- fixed _initrddir

> - Why do you set the owner/permission of some files explicitly in the
>   %post scriptlet?

There is a "bug" or perhaps it is a feature of rpm that it does not preserve the ownership/permissions of files/directories marked config noreplace.  These are files and directories which users are accustomed to changing.  If we do not explicitly save and preserve the owner/permission in pre/post, upgrade will break existing installations.  I know it is somewhat of a hack, but this is the only way I could get it to work.  Suggestions are welcome.

> - warning from rpmlint about source rpm.
>    rpmlint 389-admin-1.1.7-5.fc11.src.rpm
>    389-admin.src: W: strange-permission 389-admin-git.sh 0775

- fixed

> - Warnings from rpmlint about the binary rpm
>    $ rpmlint 389-admin-1.1.7-5.fc11.x86_64.rpm
>    389-admin.x86_64: W: dangerous-command-in-%post chmod
>    389-admin.x86_64: W: incoherent-init-script-name dirsrv-admin  

- the init script and service name are dirsrv-admin - this was a conscious decision not to tie it to the package name

new SRPM: http://rmeggins.fedorapeople.org/pkgreview/389-admin-1.1.7-5.src.rpm
new Spec: http://rmeggins.fedorapeople.org/pkgreview/389-admin.spec
new Source URL: http://port389.org/sources/389-admin-1.1.7.tar.bz2
md5sum 389-admin-1.1.7.tar.bz2 
1844088cbe44bc9eda371ce606a38405  389-admin-1.1.7.tar.bz2
sha1sum 389-admin-1.1.7.tar.bz2
e6f9beea076220f485aa93c990935dd0134a18da  389-admin-1.1.7.tar.bz2
Comment 12 Jochen Schmitt 2009-06-18 12:22:23 EDT
(In reply to comment #11)
> under the apl 2.0 - mod_admserv and mod_restartd - these must use the apl
> because they use apl code - how should I denote this?
> - fixed _initrddir

Please add GPLv2+ and ASL 2.0 as license tag

> There is a "bug" or perhaps it is a feature of rpm that it does not preserve
> the ownership/permissions of files/directories marked config noreplace.  These
> are files and directories which users are accustomed to changing.  If we do not
> explicitly save and preserve the owner/permission in pre/post, upgrade will
> break existing installations.  I know it is somewhat of a hack, but this is the
> only way I could get it to work.  Suggestions are welcome.

It may be nice to open a bug agains rpm to get an 'official' statement.
Comment 13 Rich Megginson 2009-06-18 13:02:29 EDT
new SRPM: http://rmeggins.fedorapeople.org/pkgreview/389-admin-1.1.7-5.src.rpm
new Spec: http://rmeggins.fedorapeople.org/pkgreview/389-admin.spec

new license tag:
License:          GPLv2 and ASL 2.0

This is according to the guidelines at https://fedoraproject.org/wiki/Licensing/FAQ

> It may be nice to open a bug agains rpm to get an 'official' statement.  

http://rpm.org/ticket/71

But I don't see any other way to fix or work around the problem for now, so I would like to add the package as is, and fix it if/when rpm does.
Comment 14 Jochen Schmitt 2009-06-18 13:22:58 EDT
(In reply to comment #13)

> new license tag:
> License:          GPLv2 and ASL 2.0

Thats is not ok, the file libs/base/nscputil.cpp contains a GPLv2+ license header:

 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *

> http://rpm.org/ticket/71
> 
> But I don't see any other way to fix or work around the problem for now, so I
> would like to add the package as is, and fix it if/when rpm does.  

Thats ok, I didn't take a look into the ticket, but my idention was to make sure, that the rpm developers may notified about this issue.
Comment 15 Rich Megginson 2009-06-18 14:01:28 EDT
(In reply to comment #14)
> (In reply to comment #13)
> 
> > new license tag:
> > License:          GPLv2 and ASL 2.0
> 
> Thats is not ok, the file libs/base/nscputil.cpp contains a GPLv2+ license
> header:

hmm - check the file again - did you download the latest source tarball?
md5sum 389-admin-1.1.7.tar.bz2 
1844088cbe44bc9eda371ce606a38405  389-admin-1.1.7.tar.bz2
sha1sum 389-admin-1.1.7.tar.bz2
e6f9beea076220f485aa93c990935dd0134a18da  389-admin-1.1.7.tar.bz2
Comment 16 Jochen Schmitt 2009-06-18 15:10:33 EDT
(In reply to comment #15)
> (In reply to comment #14)

> hmm - check the file again - did you download the latest source tarball?

If you have made changes on the original tarball please increase the version number and create a new source RPM. This may be helpful for audit the authentification of the package source file.
Comment 17 Rich Megginson 2009-06-18 15:34:32 EDT
(In reply to comment #16)
> (In reply to comment #15)
> > (In reply to comment #14)
> 
> > hmm - check the file again - did you download the latest source tarball?
> 
> If you have made changes on the original tarball please increase the version
> number and create a new source RPM. This may be helpful for audit the
> authentification of the package source file.  

new SRPM: http://rmeggins.fedorapeople.org/pkgreview/389-admin-1.1.8-1.src.rpm
new Spec: http://rmeggins.fedorapeople.org/pkgreview/389-admin.spec
new Source URL: http://port389.org/sources/389-admin-1.1.8.tar.bz2

md5sum 389-admin-1.1.8.tar.bz2
6d9ba5141022e10696dc92f296ae5ed3  389-admin-1.1.8.tar.bz2
sha1sum 389-admin-1.1.8.tar.bz2
cc0a718f0725a261b9ea6687ca98a0d5d75c82c3  389-admin-1.1.8.tar.bz2
Comment 18 Jochen Schmitt 2009-06-22 13:48:49 EDT
Good:
+ Package sources matches with upstream
(md5sum: 6d9ba5141022e10696dc92f296ae5ed3)
+ Specified license on license tag matches with copyright notes on source files

Your package is APPROVED !!!
Comment 19 Rich Megginson 2009-06-22 15:15:03 EDT
New Package CVS Request
=======================
Package Name: 389-admin
Short Description: Admin Server for 389 Directory Server
Owners: rmeggins nhosoi nkinder
Branches: F-10 F-11
Comment 20 Kevin Fenzi 2009-06-22 22:28:40 EDT
cvs done.
Comment 21 Rich Megginson 2009-06-23 10:11:37 EDT
cvs import done - built in koji for rawhide
Comment 22 Michael Stahnke 2009-11-02 23:14:34 EST
New Package CVS Request
=======================
Package Name: 389-admin
Short Description: Admin Server for 389 Directory Server
Owners: stahnma
Branches: EL-4, EL-5
Comment 23 Kevin Fenzi 2009-11-02 23:41:40 EST
cvs done.
Comment 24 Rich Megginson 2014-11-10 13:58:39 EST
Package Change Request
======================
Package Name: 389-adminutil
New Branches: epel7
Owners: mreynolds nhosoi nkinder rmeggins
Comment 25 Rich Megginson 2014-11-10 13:59:54 EST
Package Change Request
======================
Package Name: 389-admin
New Branches: epel7
Owners: mreynolds nhosoi nkinder rmeggins
Comment 26 Gwyn Ciesla 2014-11-10 15:15:51 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.